### Method

# Gimp Drawable append_filter

since: 3.0

#### Declaration [src]

    void
    gimp_drawable_append_filter (
      GimpDrawable* drawable,
      GimpDrawableFilter* filter
    )

#### Description [src]

This procedure appends the specified drawable effect at the top of the effect list of `drawable`.

The `drawable` argument must be the same as the one used when you created the effect with `gimp_drawable_filter_new()`. Some effects may be slower than others to render. In order to minimize processing time, it is preferred to customize the operation’s arguments as received with `gimp_drawable_filter_get_config()` before adding the effect.

Available since: 3.0

#### Parameters

`filter`

  Type: `GimpDrawableFilter`

  The drawable filter to append.

  The data is owned by the caller of the method.